Subject: Re: [sipcore] #38: How is the mapping of a GRUU into its UA Contact marked?

From: Shida Schubert <[email-masked]>
Date: Wed, 1 Sep 2010 23:06:36 +0900

Hi Dale;

 What do you mean by mapping?

 AFAIK mapping of GRUU to registered contact 
when proxy is retargeting will result to registered 
contact marked with "rc".

 Regards
  Shida 

On Sep 1, 2010, at 3:19 AM, sipcore issue tracker wrote:

> #38: How is the mapping of a GRUU into its UA Contact marked?
> ---------------------------------+------------------------------------------
> Reporter:  worley@…             |       Owner:            
>     Type:  defect               |      Status:  new       
> Priority:  major                |   Milestone:  milestone1
> Component:  rfc4244bis           |     Version:            
> Severity:  In WG Last Call      |    Keywords:            
> ---------------------------------+------------------------------------------
> It seems that a common case is the mapping of a GRUU into its UA's
> Contact.  But taken literally, neither of the cases of section 6.3.1
> applies, so the mapping would not be marked with either "rc" or "mp".
> 
> -- 
> Ticket URL: <http://trac.tools.ietf.org/wg/sipcore/trac/ticket/38>
> sipcore <http://tools.ietf.org/sipcore/>
> 
> _______________________________________________
> sipcore mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sipcore

---

From: Hadriel Kaplan <[email-masked]>
Date: Wed, 1 Sep 2010 11:11:56 -0400

Except the current 4424bis draft says "rc" is specifically for AoR to registered contact resolution (as Dale points out in section 6.3.1).  A GRUU is not an AoR, in our usual parlance... though I think people have debated it.

Right now the bullet in 6.3.1 says:
   o  "rc": The Request-URI is a contact that is bound to an AOR in an
      abstract location service.  The AOR-to-contact binding has been
      placed into the location service by a SIP Registrar that received
      a SIP REGISTER request.

Even the wording of that is a bit odd, since I think what it wants to say is the entry was added because of a contact binding resolution - not just that the URI was bound to any AoR whatsoever.

So I think the wording should be:
   o  "rc": The URI is a Contact-URI that is bound to the AoR or GRUU used for routing resolution.  
      The AOR-to-contact binding has been placed into the location service by a SIP Registrar through 
      a SIP REGISTER transaction, and used to route this request based on resolving an AoR or GRUU.

(I'm still not sure why it matters that some H-I entries are tagged "rc" due to REGISTER-based databases, vs. simply due to static routes or anything else, but that's another topic)

-hadriel

---

From: "Elwell, John" <[email-masked]>
Date: Wed, 1 Sep 2010 18:32:01 +0200

If we use 'rc' for a URI obtained by mapping GRUU-to-registered-contact, as well as for a URI obtained by mapping AOR-to-registered-contact, we can no longer say that an application looks for the hi-entry prior to the last 'rc'-marked hi-entry in order to obtain the AOR. Of course, if the original request was to the GRUU, there is no AOR, so we should make it clear the application will find either the AOR or the GRUU.

John

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Hadriel Kaplan
> Sent: 01 September 2010 16:12
> To: Shida Schubert
> Cc: [email-masked]; [email-masked]; sipcore issue tracker
> Subject: Re: [sipcore] #38: How is the mapping of a GRUU into 
> its UA Contact marked?
> 
> 
> Except the current 4424bis draft says "rc" is specifically 
> for AoR to registered contact resolution (as Dale points out 
> in section 6.3.1).  A GRUU is not an AoR, in our usual 
> parlance... though I think people have debated it.
> 
> Even the wording of that is a bit odd, since I think what it 
> wants to say is the entry was added because of a contact 
> binding resolution - not just that the URI was bound to any 
> AoR whatsoever.
> 
>       The AOR-to-contact binding has been placed into the 
> location service by a SIP Registrar through 
>       a SIP REGISTER transaction, and used to route this 
> request based on resolving an AoR or GRUU.
> 
> (I'm still not sure why it matters that some H-I entries are 
> tagged "rc" due to REGISTER-based databases, vs. simply due 
> to static routes or anything else, but that's another topic)
> 
> -hadriel
> 
> >> Reporter:  worley@...             |       Owner:

---

From: "Worley, Dale R (Dale)" <[email-masked]>
Date: Thu, 2 Sep 2010 14:53:49 -0400

________________________________________
From: [email-masked] [[email-masked]] On Behalf Of Shida Schubert [[email-masked]]

AFAIK mapping of GRUU to registered contact
when proxy is retargeting will result to registered
contact marked with "rc".
________________________________________

A GRUU is not an AOR and the text states that "rc" is to be used *only* for the mappings from AORs to their registered contacts.

Dale

---

From: Shida Schubert <[email-masked]>
Date: Fri, 3 Sep 2010 12:50:42 +0900

I just re-read GRUU and realized that, for some 
reason I thought public GRUU was specified as 
a type of AoR in the spec. 

 I guess the question then is whether we want to 
expand the semantics of "rc" to include GRUU's 
mapping to contact address.
 
 After all GRUU can still be identified in the H-I 
using the "gr" parameter, so keeping the text 
as is may not be such a big deal. So may be 
adding text to identify GRUU in H-I is all we need. 

 Regards
  Shida

---

From: Paul Kyzivat <[email-masked]>
Date: Fri, 03 Sep 2010 08:52:39 -0400

Be very careful here. RFC 5627 describes a technique for constructing 
gruus that are associated with AORs. It also describes "self made GRUUs" 
which are simply URIs that are naturally globally routable. Both kinds 
get the gr parameter. Self made gruus may have *no* association with an 
AOR at all.

While it might "work", tagging a self made gruu as an AOR would at least 
be confusing.

	Thanks,
	Paul

---

From: Shida Schubert <[email-masked]>
Date: Fri, 3 Sep 2010 23:17:23 +0900

Paul,

 It sounds like you are advocating not to tag GRUU 
the mapped-to entry with "rc" and treat it like an 
AoR. 

 I too think it's cleaner to leave GRUU out of tagging.

 Whether "gr" parameter appears in the H-I is self 
made or not, UAS receiving the request can look for  
"gr" param in the H-I and determine if the request 
was meant for registerer generated GRUU or self 
made. 

 Regards
  Shida

On Sep 3, 2010, at 9:52 PM, Paul Kyzivat wrote:

> Be very careful here. RFC 5627 describes a technique for constructing gruus that are associated with AORs. It also describes "self made GRUUs" which are simply URIs that are naturally globally routable. Both kinds get the gr parameter. Self made gruus may have *no* association with an AOR at all.
> 
> While it might "work", tagging a self made gruu as an AOR would at least be confusing.
> 
> 	Thanks,
> 	Paul
> 
> Shida Schubert wrote:
>> I just re-read GRUU and realized that, for some reason I thought public GRUU was specified as a type of AoR in the spec.  I guess the question then is whether we want to expand the semantics of "rc" to include GRUU's mapping to contact address.
>>  After all GRUU can still be identified in the H-I using the "gr" parameter, so keeping the text as is may not be such a big deal. So may be adding text to identify GRUU in H-I is all we need.  Regards
>>  Shida

---

From: "Worley, Dale R (Dale)" <[email-masked]>
Date: Fri, 3 Sep 2010 11:14:11 -0400

Perhaps we should define a tag for "GRUU resolution".  That seems to be a distinct case whose meaning will be stable for a long time.

Dale

---

From: Shida Schubert <[email-masked]>
Date: Tue, 7 Sep 2010 22:26:05 +0900

I guess we could but is it really necessary when 
"gr" tag is present for GRUU?

 Shida

---

From: Paul Kyzivat <[email-masked]>
Date: Tue, 07 Sep 2010 09:41:28 -0400

I wasn't advocating anything in particular.
I haven't been following the proposals closely enough to have something 
sensible to suggest.

---

From: "Worley, Dale R (Dale)" <[email-masked]>
Date: Tue, 7 Sep 2010 13:32:41 -0400

________________________________________
From: Shida Schubert [[email-masked]]

I guess we could but is it really necessary when "gr" tag is present for GRUU?
_______________________________________________

That's a possibility.  But just because the mapped-from URI is a GRUU doesn't mean that the mapped-to URI was done by looking up the GRUU's binding -- there may be some other mapping mechanism that is involved.

Dale